Subject: [RESEND PATCH 4.0-rc5 v19 5/6] x86/nmi: Use common printk functions

From: [email-masked] (Daniel Thompson)
Date: Wed, 08 Apr 2015 13:08:32 +0100

On 07/04/15 17:43, Steven Rostedt wrote:
> On Tue, 7 Apr 2015 18:37:46 +0200
> Borislav Petkov <[email-masked]> wrote:
>
>
>> I would simply say:
>>
>> 	err = printk_nmi_backtrace_prepare();
>> 	if (err)
>>
>> like sane kernel code does.
>>
>
> Yes, that is even the better solution.

Ok. I'll do this.

The constant on the left habit is so ingrained for me I often don't 
notice it. I agree with Steven that modern compiler warnings render it 
an obsolete habit...

Thanks.

Daniel.